#Which compiler
CC=g++

LIB = -L../../../Lib/MyGSL/Obj -lmygsl 
OBJ = GSL_RandomGen.o BasicMC.o LocalMC.o ExactValues.o utilities.o test.o

all: $(OBJ)
	$(CC) -o test $(OBJ) $(LIB)

GSL_RandomGen.o: ../../Rng/GSL_RandomGen.cpp ../../Rng/GSL_RandomGen.h
	$(CC) -c ../../Rng/GSL_RandomGen.cpp 

BasicMC.o: ../BasicMC.cpp ../BasicMC.h ../../Der/*.h ../../Und/*.h
	$(CC) -c ../BasicMC.cpp

LocalMC.o: ../LocalMC.cpp ../LocalMC.h ../../Der/*.h ../../Und/*.h ../../utilities.h
	$(CC) -c ../LocalMC.cpp

ExactValues.o: ../ExactValues.cpp ../ExactValues.h ../../Der/*.h ../../Und/*.h  ../../utilities.h
	$(CC) -c ../ExactValues.cpp

test.o: test.cpp
	$(CC) -c test.cpp

utilities.o: ../../utilities.cpp ../../utilities.h
	$(CC) -c ../../utilities.cpp

clean:
	rm -f test *.o *~ ../*~ ../../Und/*~ ../../Der/*~ ../../Rng/*~ 

